petsc-3.4.2 2013-07-02

# DMCompositeGetEntriesArray

Gets the DM for each entry in a DMComposite.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetEntriesArray(DM dm,DM dms[])

Not Collective

### Input Parameter

| dm | - the packer object
| dms | - array of sufficient length (see DMCompositeGetNumberDM()), holds the DMs on output

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(), DMCompositeGetEntries()
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages